/*
Annual Spring Contest in Collegiate Programming
at Poznan University of Technology
26 May 2001

Judge's Solution

Problem: Mock A (Kapsle)
Author : Piotr Zielinski
*/

#include <stdio.h>

void Solve(FILE *fin, FILE *fout) {
	int r1, d1, x1, y1, r2, d2, x2, y2;

	fscanf(fin, "%i %i %i %i %i %i %i %i",
							&r1, &d1, &x1, &y1, &r2, &d2, &x2, &y2);

	long maxdist = long (d1 + r1 + r2) * long (d1 + r1 + r2);
	long actdist = long (x2-x1)*long(x2-x1) + long (y2-y1)*long(y2-y1);

	if (actdist <= maxdist) {	fprintf(fout,"1\n"); return; }
	if (d1 > 2*d2) { fprintf(fout, "1\n"); return; }
	if (d2 > 2*d1) { fprintf(fout, "2\n"); return; }
	fprintf(fout, "NIE\n");
}

int main(void) {
	FILE *fin = fopen("a.in", "r");
	FILE *fout = fopen("a.out", "w");

	int d;
	fscanf(fin, "%i", &d);

	for(int i=0;i<d;i++)
		Solve(fin, fout);

	fclose(fin);
	fclose(fout);
	return 0;
}