/*
Annual Spring Contest in Collegiate Programming
at Poznan University of Technology
26 May 2001

Judge's Solution

Problem: Mock B (Szachownica)
Author : Piotr Zielinski
*/

#include <stdio.h>

void Solve(FILE *fin, FILE *fout) {
	int n, m;

	fscanf(fin, "%i %i", &n, &m);

	if (n%2==1 && m%2==1) {
		fprintf(fout,"NIE\n");
		return;
	}

	if (n%2==0) {
		fprintf(fout,"1 1");
		for(int i=1;i<=n;i+=2) {
			for(int j=2;j<=m;j++)
				fprintf(fout," %i %i", i, j);
			for(j=m;j>=2;j--)
				fprintf(fout," %i %i", i+1, j);
		}
		for(i=n;i>=1;i--)
			fprintf(fout, " %i 1",i);
	}
	else {
		fprintf(fout,"1 1");
		for(int i=1;i<=m;i+=2) {
			for(int j=2;j<=n;j++)
				fprintf(fout," %i %i", j, i);
			for(j=n;j>=2;j--)
				fprintf(fout," %i %i", j, i+1);
		}
		for(i=m;i>=1;i--)
			fprintf(fout, " 1 %i",i);
	}
	fprintf(fout, "\n");
}

int main(void) {
	FILE *fin = fopen("b.in", "r");
	FILE *fout = fopen("b.out", "w");

	int d;
	fscanf(fin, "%i", &d);

	for(int i=0;i<d;i++)
		Solve(fin, fout);

	fclose(fin);
	fclose(fout);
	return 0;
}